Data Structures | Variables

# unicode.h File Reference

Character mapping for using Unicode characters in OTTD. More...

Go to the source code of this file.

## Data Structures
struct | DefaultUnicodeMapping
## Variables
static const byte | CLRA = 0
| Identifier to clear all glyphs at this codepoint.
static const DefaultUnicodeMapping | _default_unicode_map []

## Detailed Description

Character mapping for using Unicode characters in OTTD.

Definition in file unicode.h.

## Variable Documentation

const DefaultUnicodeMapping _default_unicode_map[]`[static]`

Initial value:

     {
      { 0x00A0, 0x20 },
      { 0x00AA, CLRA },
      { 0x00AC, CLRA },
      { 0x00AD, 0x20 },
      { 0x00AF, CLRA },
      { 0x00B4, CLRA },
      { 0x00B5, CLRA },
      { 0x00B6, CLRA },
      { 0x00B7, CLRA },
      { 0x00B8, CLRA },
      { 0x00B9, CLRA },
      { 0x00BC, CLRA },
      { 0x00BD, CLRA },
      { 0x0178, 0x9F },
      { 0x010D, 0x63 },
    }

Definition at line 24 of file unicode.h.